package cn.superdesk.uniorder.dubbo.consumer.sys.logger;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.logger.SysMonitorFunctionLog;
import cn.superdesk.uniorder.dto.param.system.logger.SysMonitorFunctionLogParam;
import cn.superdesk.uniorder.dubbo.facade.sys.logger.DubboSysMonitorFunctionLogService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 监控日志
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-05 16:35:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-05 16:35:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysMonitorFunctionLogDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysMonitorFunctionLogService dubboSysMonitorFunctionLogService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysMonitorFunctionLogParam param) {

		dubboSysMonitorFunctionLogService.addObj(param);

	}

	public void updateObj(SysMonitorFunctionLogParam param) {

		dubboSysMonitorFunctionLogService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysMonitorFunctionLogService.deleteObj(id);
	}

	public SysMonitorFunctionLog findById(Long id) {

		return dubboSysMonitorFunctionLogService.findById(id);
	}

	public PageInfo<SysMonitorFunctionLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysMonitorFunctionLogService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysMonitorFunctionLog> findAll(Map<String, Object> queryMap) {

		return dubboSysMonitorFunctionLogService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysMonitorFunctionLog(SysMonitorFunctionLogParam param) {

		dubboSysMonitorFunctionLogService.addSysMonitorFunctionLog(param);
	}


	public void updateSysMonitorFunctionLog(SysMonitorFunctionLogParam param) {

		dubboSysMonitorFunctionLogService.updateSysMonitorFunctionLog(param);
	}


	public void deleteSysMonitorFunctionLog(Long id) {
		dubboSysMonitorFunctionLogService.deleteSysMonitorFunctionLog(id);
	}


	public SysMonitorFunctionLog findSysMonitorFunctionLogById(Long id) {

		return dubboSysMonitorFunctionLogService.findSysMonitorFunctionLogById(id);
	}


	public R<List<SysMonitorFunctionLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysMonitorFunctionLogService.pageQuery(conditions, pageNun, pageSize);
	}
}
